Loading...
Searching...
No Matches
OpenMesh::VDPM::ViewingParameters Class Reference

`#include <OpenMesh/Tools/VDPM/ViewingParameters.hh>`

## Public Member Functions

void | increase_tolerance ()
void | decrease_tolerance ()
float | fovy () const
float | aspect () const
float | tolerance_square () const
void | set_fovy (float _fovy)
void | set_aspect (float _aspect)
void | set_tolerance_square (float _tolerance_square)
const Vec3f & | eye_pos () const
const Vec3f & | right_dir () const
const Vec3f & | up_dir () const
const Vec3f & | view_dir () const
Vec3f & | eye_pos ()
Vec3f & | right_dir ()
Vec3f & | up_dir ()
Vec3f & | view_dir ()
void | frustum_planes (Plane3d _plane[4])
void | get_modelview_matrix (double _modelview_matrix[16])
void | set_modelview_matrix (const double _modelview_matrix[16])
void | update_viewing_configurations ()
void | PrintOut ()

## Detailed Description

Todo
  ViewerParameters documentation

The documentation for this class was generated from the following files:

- OpenMesh/Tools/VDPM/ViewingParameters.hh
- OpenMesh/Tools/VDPM/ViewingParameters.cc